% Initialize constants
F_HANDLE = @(x,varargin) 1;
GD_HANDLE = @(x,varargin) 0;
C_HANDLE = @(x,varargin) 1;
 
% Initialize mesh
Mesh = load_Mesh('Coord_Polygon_6.dat','Elem_Polygon_6.dat'); 
Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);         
Mesh = add_Edges(Mesh);
Loc = get_BdEdges(Mesh);
Mesh.BdFlags = zeros(size(Mesh.Edges,1),1); 
Mesh.BdFlags(Loc) = -1;
Mesh = add_Edge2Elem(Mesh);
  
% Assemble stiffness matrix and load vector
A = assemMat_LFE(Mesh, @STIMA_LaplMass_LFE, C_HANDLE);
L = assemLoad_LFE(Mesh,P7O6(),F_HANDLE,0,1,2);
   
% Incorporate Dirichlet boundary data
[U,FreeDofs] = assemDir_LFE(Mesh,-1,GD_HANDLE);
L = L - A*U;
  
% Solve the linear system
U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);
    
% Plot solution
plot_LFE(U,Mesh);colorbar;
 
% Clear memory
clear all;
