function d = main_2D(Mesh)

    % Initialize constants
    GD_HANDLE = @(x,varargin) 0;
 
    % Assemble stiffness matrix and load vector
    A = assemMat_2DLFE(Mesh, @STIMA_Div_LFE);

    % Get free DoFs
    [U,FreeDofs] = assemDir_LFE(Mesh,-1,GD_HANDLE);
    FreeDofs = [FreeDofs,... 
                FreeDofs + size(Mesh.Coordinates,1)];
   
    % Get matrix with boundary conditions, compute rank
    A = A(FreeDofs, FreeDofs);
    d = size(A,1) - rank(full(A));
    
end
